Bug 27216 - crontab buffer overflows on names over 20 chars
Summary: crontab buffer overflows on names over 20 chars
Status: CLOSED DUPLICATE of bug 27217
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-12 22:24 UTC by Chris Ricker
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 21:59:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Ricker 2001-02-12 22:24:35 UTC
Just like the recent post to Bugtraq regarding vixie-cron and RH 7.0.
crontab does getpwuid() but then stores the name in a 20-byte buffer w/o
checking its length.  Since crontab is suid root, this could be fun....

[thisnameislongandbreakscrontab@station12 thisnameislongandbreakscrontab]$
crontab
Segmentation fault
[thisnameislongandbreakscrontab@station12 thisnameislongandbreakscrontab]$
rpm -qf `which crontab`
vixie-cron-3.0.1-58
[thisnameislongandbreakscrontab@station12 thisnameislongandbreakscrontab]$

Comment 1 Bill Nottingham 2001-02-12 22:29:39 UTC

*** This bug has been marked as a duplicate of 27217 ***


Note You need to log in before you can comment on or make changes to this bug.